org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IRtfHyperLinkContainer

All Superinterfaces:
  IRtfTextContainer

All Known Implementing Classes:
  RtfParagraph

    public interface IRtfHyperLinkContainer
    extends IRtfTextContainer

Interface for RtfElements that can contain RtfHyperLinks.

This work was authored by Andreas Putz (a.putz@skynamics.com).

### Method Summary

All Methods Instance Methods Abstract Methods
`RtfHyperLink` `newHyperLink(String str, RtfAttributes attr)` Creates a new hyperlink.

### Methods inherited from interface org.apache.fop.render.rtf.rtflib.rtfdoc.IRtfTextContainer

`getTextContainerAttributes, newLineBreak, newText, newText`

### Method Detail

#### newHyperLink

    RtfHyperLink newHyperLink(String str,
                              RtfAttributes attr)
                       throws IOException

Creates a new hyperlink.

Parameters:
  `str` - Hyperlink string
  `attr` - Hyperlink attributes
Returns:
  new Hyperlink object
Throws:
  `IOException` - on error